CREATE TABLE NNLOCATION_FILES(
ID NUMBER NOT NULL,
NNLOCATION_ID NUMBER NOT NULL,
TYPE VARCHAR2(100 CHAR) NOT NULL,
HEADER BLOB,
FOOTER BLOB,
SIGNATURE BLOB,
CONSTRAINT PK_NNLOCATION_FILES PRIMARY KEY (ID)
)
;

CREATE UNIQUE INDEX NNLOCATION_FILES_IX1 ON NNLOCATION_FILES (NNLOCATION_ID, TYPE)
;

CREATE SEQUENCE NNLOCATION_FILES_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

CREATE VIEW V_INVOICE_LOCATION AS 
SELECT ID_SALDKONT, COALESCE(NNLOCATION_ID, 1) AS NNLOCATION_ID FROM SALDKONT
;

CREATE VIEW V_INVOICE_HEADER AS 
SELECT NNLOCATION_ID, HEADER, FOOTER, SIGNATURE FROM NNLOCATION_FILES WHERE TYPE='INVOICE'
;

CREATE VIEW V_QUOTE_LOCATION AS 
SELECT ID_DN, COALESCE(NNLOCATION_ID, 1) AS NNLOCATION_ID FROM M_DE_NA
;

CREATE VIEW V_QUOTE_HEADER AS 
SELECT NNLOCATION_ID, HEADER, FOOTER, SIGNATURE FROM NNLOCATION_FILES WHERE TYPE='QUOTE'
;

CREATE VIEW V_CONTRACT_LOCATION AS 
SELECT ID_POGODBE, COALESCE(NNLOCATION_ID, 1) AS NNLOCATION_ID FROM M_POGODBE
;

CREATE VIEW V_CONTRACT_HEADER AS 
SELECT NNLOCATION_ID, HEADER, FOOTER, SIGNATURE FROM NNLOCATION_FILES WHERE TYPE='CONTRACT'
;

ALTER TABLE KUPCI 
MODIFY DAVCNA_STEVILKA VARCHAR2(30 CHAR)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1456, SYSDATE, '5.5', 1376, 'VMoney')
;
